IF NOT EXISTS (SELECT 1 FROM sys.objects WHERE object_id = OBJECT_ID('[dbo].[flatDSVars]') AND type = 'U')
CREATE TABLE [dbo].[flatDSVars]
(
    [varid] int NOT NULL IDENTITY(1, 1),
    [dsname] varchar(20) COLLATE Chinese_PRC_CI_AS NULL,
    [tbname] varchar(20) COLLATE Chinese_PRC_CI_AS NULL,
    [flds] varchar(1000) COLLATE Chinese_PRC_CI_AS NULL,
    [fldvars] varchar(4000) COLLATE Chinese_PRC_CI_AS NULL,
    [fldvals] varchar(4000) COLLATE Chinese_PRC_CI_AS NULL,
    [fldDefs] varchar(4000) COLLATE Chinese_PRC_CI_AS NULL,
    [nullvals] varchar(4000) COLLATE Chinese_PRC_CI_AS NULL,
)